CHMOD(1)

NOME
chmod - altera os bits de modo de arquivo

SINOPSE
chmod [OPÇÃO]... MODO[,MODO]... ARQUIVO...
chmod [OPÇÃO]... MODO-OCTAL ARQUIVO...
chmod [OPÇÃO]... --reference=ARQREF ARQUIVO...

DESCRIÇÃO
Esta página de manual documenta a versão GNU de chmod. chmod altera os bits de modo de arquivo de cada arquivo fornecido de acordo com modo, que pode ser uma representação simbólica das mudanças a serem feitas ou um número octal que representa o padrão de bits para os novos bits de modo.

The format of a symbolic mode is [ugoa...][[-+=][perms...]...], where perms is either zero or more letters from the set rwxXst, or a single letter from the set ugo. Multiple symbolic modes can be given, separated by commas.

Uma combinação das letras ugoa controla quais usuários o acesso ao arquivo será alterado: o usuário que o possui (u), outros usuários no grupo do arquivo (g), outros usuários que não fazem parte o grupo do arquivo (o) ou todos os usuários (a). Se nenhum desses for fornecido, o efeito é como se (a) fosse fornecido, mas os bits que são definidos no umask não são afetados.

O operador + faz com que os bits de modo de arquivo selecionados sejam adicionados aos bits de modo de arquivo existentes de cada arquivo; - faz com que sejam removidos; e = faz com que eles sejam adicionados e faz com que os bits não mencionados sejam removidos, exceto que os bits de ID de grupo e usuário não mencionados de um diretório não são afetados.

As letras rwxXst selecionam bits de modo de arquivo para os usuários afetados: ler (r), escrever (w), executar (ou pesquisar diretórios) (x), executar/pesquisar somente se o arquivo é um diretório ou já tem permissão de execução para algum usuário (X), definir ID de usuário ou grupo na execução (s), sinalizador de exclusão restrita ou "sticky bit" (t). Em vez de uma ou mais dessas letras, você pode especificar exatamente uma das letras ugo: as permissões concedidas ao usuário que possui o arquivo (u), as permissões concedidas a outros usuários que são membros do grupo do arquivo (g) e as permissões concedidas aos usuários que não estão em nenhuma das duas categorias anteriores (o).

Um modo numérico é de um a quatro dígitos octais (0-7), derivados somando os bits com os valores 4, 2 e 1. Dígitos omitidos são assumidos como zeros à esquerda. O primeiro dígito seleciona os atributos de definição de ID de usuário (4) e definição de ID de grupo (2) e exclusão restrita ou aderência (1). O segundo dígito seleciona permissões para o usuário que possui o arquivo: ler (4), escrever (2) e executar (1); o terceiro seleciona permissões para outros usuários do grupo do arquivo, com os mesmos valores; e a quarta para outros usuários fora do grupo do arquivo, com os mesmos valores.

chmod doesn't change the permissions of symbolic links; the chmod system call cannot change their permissions on most systems, and most systems ignore permissions of symbolic links. However, for each symbolic link listed on the command line, chmod changes the permissions of the pointed-to file. In contrast, chmod ignores symbolic links encountered during recursive directory traversals. Options that modify this behavior are described in the OPTIONS section.

BITS DE SETUID E SETGID
chmod limpa o bit de definição de ID de grupo (set-group-ID) de um arquivo regular se o ID de grupo do arquivo não corresponder ao ID de grupo efetivo do usuário ou um dos IDs de grupo suplementares do usuário, a menos que o usuário tenha os privilégios apropriados. Restrições adicionais podem fazer com que os bits de set-user-ID e set-group-ID de MODO ou ARQREF sejam ignorados. Esse comportamento depende da política e da funcionalidade da chamada de sistema chmod subjacente. Em caso de dúvida, verifique o comportamento do sistema subjacente.

Para diretórios, chmod preserva os bits de set-user-ID e set-group-ID, a menos que você especifique explicitamente o contrário. Você pode definir ou limpar os bits com modos simbólicos como u+s e g-s. Para limpar esses bits para diretórios com um modo numérico, é necessário adicionar zero à esquerda como, p.ex., 00755; sinal de menos à esquerda como, p.ex., -6000; ou sinal de igual à esquerda como, p.ex., =755.

SINALIZADOR DE EXCLUSÃO RESTRITO OU STICKY BIT
O sinalizador de exclusão restrito (ou restricted deletion flag) ou sticky bit é um único bit, cuja interpretação depende do tipo de arquivo. Para diretórios, evita que usuários sem privilégios removam ou renomeiem um arquivo no diretório, a menos que sejam donos do arquivo ou do diretório; isso é chamado de sinalizador de exclusão restrito para o diretório e é comumente encontrado em diretórios que podem ser escritos por todo o mundo, como /tmp. Para arquivos regulares em alguns sistemas mais antigos, o bit salva a imagem de texto do programa no dispositivo de troca para que ele carregue mais rapidamente quando executado; isso é chamado de sticky bit.

OPÇÕES

Altera o modo de cada ARQUIVO para MODO. Com --reference, altera o modo de cada ARQUIVO para o mesmo de ARQREF.

-c, --changes
    como verbose, mas só relata quando há alteração

-f, --silent, --quiet
    suprime a maioria das mensagens de erro

-v, --verbose
    emite um diagnóstico para cada arquivo processado

--dereference
    affect the referent of each symbolic link, rather than the symbolic link itself

-h, --no-dereference
    affect each symbolic link, rather than the referent

--no-preserve-root
    não trata "/" de forma diferenciada (o padrão)

--preserve-root
    falha ao operar recursivamente em "/"

--reference=RARQUIVO
    use RFILE's mode instead of specifying MODE values. RFILE is always dereferenced if a symbolic link.

-R, --recursive
    altera os arquivos e diretórios recursivamente

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect. '-H' is the default.

-H  se um argumento da linha de comando for um link simbólico para diretório, percorre-o

-L  percorre todo link simbólico para diretório que for encontrado

-P  do not traverse any symbolic links

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

Cada MODO é da forma "[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+".

AUTOR
Escrito por David MacKenzie e Jim Meyering.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2024 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
chmod(2)

Documentação completa <https://www.gnu.org/software/coreutils/chmod>
ou disponível localmente via: info '(coreutils) chmod invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).